
%define deb_file %{name}_%{version}_amd64.deb

Summary: Opera Stable
Name: opera-stable
Version: 52.0.2871.37
Release: %mkrel 1
License: Proprietary
Group: Networking/WWW
URL: http://get.geo.opera.com/pub/opera-developer/
Vendor: Opera Software ASA
Source1: libffmpeg.so
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
Conflicts: opera
AutoReqProv: no

%description
Opera Stable

%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot

#export DONT_STRIP=1

mkdir %buildroot

cd $RPM_SOURCE_DIR
wget -nc https://deb.opera.com/opera/pool/non-free/o/opera-stable/%{deb_file}

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{deb_file} data.tar.xz | xz -d -9 | tar x -C %buildroot

# rename libdir
%ifarch %{ix86}
mv %buildroot/usr/lib/i386-linux-gnu/opera %buildroot/usr/lib/
rm -rf %buildroot/usr/lib/i386-linux-gnu
%else
mv %buildroot/usr/lib/x86_64-linux-gnu/opera %buildroot/usr/lib/
rm -rf %buildroot/usr/lib/x86_64-linux-gnu
mv %buildroot/usr/lib %buildroot%{_libdir}
%endif

# create new symlink
rm -f %buildroot%{_bindir}/opera
ln -sr %buildroot%{_libdir}/opera/opera %buildroot%{_bindir}/opera

# delete some directories that is not needed on Fedora
rm -rf %buildroot%{_datadir}/{lintian,menu}

#what the hell is this
rm -rf %buildroot/usr/lib

# correct opera_sandbox permission
# FATAL:setuid_sandbox_client.cc(283)] The SUID sandbox helper binary was found
# but is not configured correctly.
chmod 4755 %buildroot%{_libdir}/opera/opera_sandbox

# create symlink to libudev.so
ln -sL %{_libdir}/libudev.so.0 %buildroot%{_libdir}/opera/libudev.so.0

install %SOURCE1 %buildroot/%{_libdir}/opera/libffmpeg.so


%clean
rm -rf %buildroot

%preun
update-alternatives --remove x-www-browser /usr/bin/opera
update-alternatives --remove gnome-www-browser /usr/bin/opera

%post
update-alternatives --install /usr/bin/x-www-browser x-www-browser /usr/bin/opera 90
update-alternatives --install /usr/bin/gnome-www-browser gnome-www-browser /usr/bin/opera 90

%files
%defattr(-,root,root)
%{_bindir}/opera
%{_libdir}/opera
%{_datadir}


%changelog
* Wed Mar 28 2018 bb2 <bb2> - 52.0.2871.37-1pclos2018
- new version

* Fri Mar 23 2018 bb2 <bb2> - 52.0.2871.30-1pclos2018
- new version

* Thu Mar 08 2018 bb2 <bb2> - 51.0.2830.55-1pclos2018
- new version

* Fri Feb 23 2018 bb2 <bb2> - 51.0.2830.40-1pclos2018
- new version

